Bug 94998 - [vulkan] deqp-vk.pipeline.push_constant.graphics_pipeline.count_3shader_vgf regression
Summary: [vulkan] deqp-vk.pipeline.push_constant.graphics_pipeline.count_3shader_vgf r...
Status: CLOSED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Jason Ekstrand
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-18 19:32 UTC by Mark Janes
Modified: 2016-04-20 19:59 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Janes 2016-04-18 19:32:25 UTC
When vulkan was merged into mesa's master, the following test began to fail:

deqp-vk.pipeline.push_constant.graphics_pipeline.count_3shader_vgf

src/intel/vulkan/anv_nir_lower_push_constants.c:47: lower_push_constants_block: Assertion `state->is_scalar' failed.
Comment 1 Jason Ekstrand 2016-04-19 02:44:59 UTC
There are patches on the list to fix this.  Unfortunately, there were about 5 different bugs that all had to be fixed before it would work.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.